<div class="card-container">
  <form [formGroup]="accountForm">
    <mat-card>
      <mat-card-title *ngIf="!accountName">New Account</mat-card-title>
      <mat-card-title *ngIf="accountName">{{ accountName }}</mat-card-title>
      <mat-card-content fxLayout="column">
        <mat-form-field>
          <input matInput placeholder="Account Number" formControlName="accountNumber" required>
        </mat-form-field>
        <mat-form-field >
          <input matInput placeholder="Account Name" formControlName="accountName" password required>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Account Type" formControlName="accountType" select>
            <mat-option *ngFor="let accType of types" [value]="accType">{{ accType }}</mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field>
          <input
            type="text"
            placeholder="Select Account"
            aria-label="Number"
            matInput
            formControlName="parent"
            (keyup)="searchKeyUp()"
            [matAutocomplete]="auto">
          <mat-autocomplete #auto="matAutocomplete">
            <mat-option *ngFor="let option of accounts | async" [value]="option">
              {{ option }}
            </mat-option>
          </mat-autocomplete>
        </mat-form-field>

        <mat-checkbox formControlName="isGroup" matSuffix>Is Group</mat-checkbox>
      </mat-card-content>
      <mat-card-actions>
        <button (click)="createAccount()" mat-flat-button color="primary" [disabled]="!accountForm.valid" *ngIf="!accountNumber">Create</button>
        <button (click)="updateAccount()" mat-flat-button color="primary" [disabled]="!accountForm.valid" *ngIf="accountNumber">Update</button>
        <button style="float: right;" (click)="deleteAccount()" mat-flat-button color="primary" [disabled]="!accountForm.valid" *ngIf="accountNumber">delete</button>
       </mat-card-actions>
      </mat-card>
  </form>
</div>
